Bug 396257 - [references] Scaling method produce aliasing
Summary: [references] Scaling method produce aliasing
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Reference Images (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: joupent
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-06 15:04 UTC by David REVOY
Modified: 2018-07-24 07:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
[^ screenshot of the bug, top: Krita references , bottom: Nomac image viewer] (151.11 KB, image/png)
2018-07-06 15:04 UTC, David REVOY
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2018-07-06 15:04:14 UTC
Created attachment 113805 [details]
[^ screenshot of the bug, top: Krita references , bottom: Nomac image viewer]

Hi,
I'm using the new "References feature" and I love it. But something I don't like in it is when I zoom out or scale down a References: the scaling method render a very bad looking aliasing. I attach a picture in attachment.
Comment 1 joupent 2018-07-17 12:21:23 UTC
Git commit 18b9b33d0b2fb8e5d87fa3583eeda1d5a4a4d5b8 by Jouni Pentikäinen.
Committed on 17/07/2018 at 12:20.
Pushed by jounip into branch 'master'.

Reduce aliasing in reference images

M  +15   -0    libs/brush/kis_qimage_pyramid.cpp
M  +3    -0    libs/brush/kis_qimage_pyramid.h
M  +11   -9    libs/ui/KisReferenceImage.cpp

https://commits.kde.org/krita/18b9b33d0b2fb8e5d87fa3583eeda1d5a4a4d5b8
Comment 2 Andrey 2018-07-19 11:32:04 UTC
Git commit 6ce7784ae8616b12422df2512b8a0febf55e9755 by Andrey Kamakin, on behalf of Jouni Pentikäinen.
Committed on 19/07/2018 at 11:14.
Pushed by akamakin into branch 'akamakin/T8628-multithreading-optimization'.

Reduce aliasing in reference images

M  +15   -0    libs/brush/kis_qimage_pyramid.cpp
M  +3    -0    libs/brush/kis_qimage_pyramid.h
M  +11   -9    libs/ui/KisReferenceImage.cpp

https://commits.kde.org/krita/6ce7784ae8616b12422df2512b8a0febf55e9755
Comment 3 Halla Rempt 2018-07-24 07:46:46 UTC
Git commit 78f44d569e0c09cbf74c84da305bc7af82936ee7 by Boudewijn Rempt, on behalf of Jouni Pentikäinen.
Committed on 24/07/2018 at 07:16.
Pushed by rempt into branch 'krita/4.1'.

Reduce aliasing in reference images

M  +15   -0    libs/brush/kis_qimage_pyramid.cpp
M  +3    -0    libs/brush/kis_qimage_pyramid.h
M  +11   -9    libs/ui/KisReferenceImage.cpp

https://commits.kde.org/krita/78f44d569e0c09cbf74c84da305bc7af82936ee7